{=========================================================================
  RkBtn Unit

  This unit implements the RkOkButton and the RkCancelButton components.

  Developing Custom Delphi 3 Components
  Copyright  1995-1997 by Ray Konopka
=========================================================================}

{$I DCDC.INC}

unit RkBtn;

interface

uses
  Classes, Controls, Forms, StdCtrls, RkCommon;

type
  TRkOkButton = class( TButton )
  private
    FAboutInfo : TRkAboutInfo;
  public
    constructor Create( AOwner : TComponent ); override;
  published
    property About : TRkAboutInfo
      read FAboutInfo
      write FAboutInfo
      stored False;

    property Default default True;
    property ModalResult default mrOK;
  end;


  TRkCancelButton = class( TButton )
  private
    FAboutInfo : TRkAboutInfo;
  public
    constructor Create( AOwner : TComponent ); override;
  published
    property About : TRkAboutInfo
      read FAboutInfo
      write FAboutInfo
      stored False;

    property Cancel default True;
    property ModalResult default mrCancel;
  end;


implementation


constructor TRkOkButton.Create( AOwner : TComponent );
begin
  // Don't forget to call the ancestor's constructor
  inherited Create( AOwner );

  Caption := 'OK';
  Default := True;
  ModalResult := mrOK;
end;


constructor TRkCancelButton.Create( AOwner : TComponent );
begin
  // Don't forget to call the ancestor's constructor
  inherited Create( AOwner );

  Caption := 'Cancel';
  Cancel := True;
  ModalResult := mrCancel;
end;


end.
